低危 Apache Tomcat安全机制绕过漏洞

CVE编号

CVE-2018-1304

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-03-01
漏洞描述
Tomcat是由Apache软件基金会下属的Jakarta项目开发的一个Servlet容器,按照Sun Microsystems提供的技术规范,实现了对Servlet和JavaServer Page(JSP)的支持,并提供了作为Web服务器的一些特有功能。

Apache Tomcat存在安全限制绕过漏洞。该漏洞产生的原因是系统未能执行包含完全映射到上下文根的“”(空字符串)URL模式的安全约束定义。远程用户可利用该漏洞绕过目标系统上的安全控制并访问目标系统上表面受限制的资源。
解决建议
厂商已发布漏洞修复程序,请及时关注更新:
http://tomcat.apache.org/security-9.html#Fixed_in_Apache_Tomcat_9.0.5
参考链接
http://www.oracle.com/technetwork/security-advisory/cpujul2018-4258247.html
http://www.oracle.com/technetwork/security-advisory/cpuoct2018-4428296.html
http://www.securityfocus.com/bid/103170
http://www.securitytracker.com/id/1040427
https://access.redhat.com/errata/RHSA-2018:0465
https://access.redhat.com/errata/RHSA-2018:0466
https://access.redhat.com/errata/RHSA-2018:1320
https://access.redhat.com/errata/RHSA-2018:1447
https://access.redhat.com/errata/RHSA-2018:1448
https://access.redhat.com/errata/RHSA-2018:1449
https://access.redhat.com/errata/RHSA-2018:1450
https://access.redhat.com/errata/RHSA-2018:1451
https://access.redhat.com/errata/RHSA-2018:2939
https://access.redhat.com/errata/RHSA-2019:2205
https://lists.apache.org/thread.html/1dd0a59c1295cc08ce4c9e7edae5ad2268acc9ba...
https://lists.apache.org/thread.html/343558d982879bf88ec20dbf707f8c11255f8e21...
https://lists.apache.org/thread.html/388a323769f1dff84c9ec905455aa73fbcb20338...
https://lists.apache.org/thread.html/3d19773b4cf0377db62d1e9328bf9160bf1819f0...
https://lists.apache.org/thread.html/5c0e00fd31efc11e147bf99d0f03c00a734447d3...
https://lists.apache.org/thread.html/6af47120905aa7d8fe12f42e8ff2284fb338ba14...
https://lists.apache.org/thread.html/845312a10aabbe2c499fca94003881d2c79fc993...
https://lists.apache.org/thread.html/88855876c33f2f9c532ffb75bfee570ccf0b17ff...
https://lists.apache.org/thread.html/b1d7e2425d6fd2cebed40d318f9365b44546077e...
https://lists.apache.org/thread.html/b5e3f51d28cd5d9b1809f56594f2cf63dcd6a904...
https://lists.apache.org/thread.html/e85e83e9954f169bbb77b44baae5a33d8de878df...
https://lists.apache.org/thread.html/eb6efa8d59c45a7a9eff94c4b925467d3b3fec8b...
https://lists.apache.org/thread.html/r3bbb800a816d0a51eccc5a228c58736960a9fff...
https://lists.apache.org/thread.html/r48c1444845fe15a823e1374674bfc297d5008a5...
https://lists.apache.org/thread.html/r6ccee4e849bc77df0840c7f853f6bd09d426f67...
https://lists.apache.org/thread.html/r9136ff5b13e4f1941360b5a309efee2c114a148...
https://lists.apache.org/thread.html/raba0fabaf4d56d4325ab2aca8814f0b30a237ab...
https://lists.debian.org/debian-lts-announce/2018/03/msg00004.html
https://lists.debian.org/debian-lts-announce/2018/06/msg00008.html
https://lists.debian.org/debian-lts-announce/2018/07/msg00044.html
https://security.netapp.com/advisory/ntap-20180706-0001/
https://usn.ubuntu.com/3665-1/
https://www.debian.org/security/2018/dsa-4281
https://www.oracle.com/security-alerts/cpuapr2020.html
https://www.oracle.com/technetwork/security-advisory/cpuapr2019-5072813.html
https://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache tomcat * From
(including)
7.0.0
Up to
(including)
7.0.84
运行在以下环境
应用 apache tomcat * From
(including)
8.0.0
Up to
(including)
8.0.49
运行在以下环境
应用 apache tomcat * From
(including)
8.5.0
Up to
(including)
8.5.27
运行在以下环境
应用 apache tomcat * From
(including)
9.0.0
Up to
(including)
9.0.4
运行在以下环境
应用 apache tomcat 8.0.0 -
运行在以下环境
应用 apache tomcat 9.0.0 -
运行在以下环境
应用 oracle fusion_middleware 12.2.1.3.0 -
运行在以下环境
应用 oracle hospitality_guest_access 4.2.0 -
运行在以下环境
应用 oracle hospitality_guest_access 4.2.1 -
运行在以下环境
应用 oracle micros_relate_crm_software 11.4 -
运行在以下环境
应用 oracle secure_global_desktop 5.3 -
运行在以下环境
应用 oracle secure_global_desktop 5.4 -
运行在以下环境
应用 redhat jboss_enterprise_application_platform 6 -
运行在以下环境
应用 redhat jboss_enterprise_application_platform 6.4 -
运行在以下环境
应用 redhat jboss_enterprise_web_server 3.0.0 -
运行在以下环境
应用 redhat jboss_middleware 1 -
运行在以下环境
系统 amazon linux_2 glpi * Up to
(excluding)
2.2-api-7.0.76-10.amzn2.0.1
运行在以下环境
系统 amazon linux_AMI glpi * Up to
(excluding)
8.0.50-1.79.amzn1
运行在以下环境
系统 amazon_2 tomcat * Up to
(excluding)
7.0.76-10.amzn2.0.1
运行在以下环境
系统 amazon_AMI tomcat * Up to
(excluding)
8.0.50-1.79.amzn1
运行在以下环境
系统 canonical ubuntu_linux 14.04 -
运行在以下环境
系统 canonical ubuntu_linux 16.04 -
运行在以下环境
系统 canonical ubuntu_linux 17.10 -
运行在以下环境
系统 canonical ubuntu_linux 18.04 -
运行在以下环境
系统 debian debian_linux 7.0 -
运行在以下环境
系统 debian debian_linux 8.0 -
运行在以下环境
系统 debian debian_linux 9.0 -
运行在以下环境
系统 debian_7 glpi * Up to
(excluding)
7.0.28-4+deb7u18
运行在以下环境
系统 debian_8 glpi * Up to
(excluding)
7.0.56-3+deb8u3
运行在以下环境
系统 debian_9 glpi * Up to
(excluding)
8.5.14-1+deb9u3
运行在以下环境
系统 fedora_26 glpi * Up to
(excluding)
8.0.50-1.fc26
运行在以下环境
系统 fedora_27 glpi * Up to
(excluding)
9.1.7.1-3.fc27
运行在以下环境
系统 fedora_28 glpi * Up to
(excluding)
9.2.4-2.fc28
运行在以下环境
系统 fedora_29 glpi * Up to
(excluding)
2.18.4-1.fc29
运行在以下环境
系统 fedora_EPEL_6 glpi * Up to
(excluding)
7.0.85-1.el6
运行在以下环境
系统 opensuse_Leap_42.3 glpi * Up to
(excluding)
8.0.50-12.1
运行在以下环境
系统 oracle linux_7 glpi * Up to
(excluding)
7.0.76-9.el7
运行在以下环境
系统 oracle_7 tomcat * Up to
(excluding)
7.0.76-9.el7
运行在以下环境
系统 redhat enterprise_linux 6.0 -
运行在以下环境
系统 redhat enterprise_linux 7.0 -
运行在以下环境
系统 redhat_7 tomcat * Up to
(excluding)
0:7.0.76-9.el7
运行在以下环境
系统 sles_11_SP4 glpi * Up to
(excluding)
6.0.53-0.57.7.1
运行在以下环境
系统 sles_12 tomcat * Up to
(excluding)
8.0.50-29.8
运行在以下环境
系统 sles_12_SP2 glpi * Up to
(excluding)
8.0.50-29.8.2
运行在以下环境
系统 sles_12_SP3 glpi * Up to
(excluding)
8.0.50-29.8.2
运行在以下环境
系统 suse_11_SP4 tomcat * Up to
(excluding)
6.0.53-0.57.7.1
运行在以下环境
系统 suse_12 tomcat * Up to
(excluding)
8.0.50-29.8
运行在以下环境
系统 suse_12_SP2 tomcat * Up to
(excluding)
8.0.50-29.8.2
运行在以下环境
系统 suse_12_SP3 tomcat * Up to
(excluding)
8.0.50-29.8.2
运行在以下环境
系统 ubuntu_14.04 tomcat * Up to
(excluding)
7.0.52-1ubuntu0.14
运行在以下环境
系统 ubuntu_14.04.6_lts tomcat7 * Up to
(excluding)
7.0.52-1ubuntu0.14
运行在以下环境
系统 ubuntu_14.04_lts tomcat7 * Up to
(excluding)
7.0.52-1ubuntu0.14
运行在以下环境
系统 ubuntu_16.04 tomcat * Up to
(excluding)
8.0.32-1ubuntu1.6
运行在以下环境
系统 ubuntu_16.04.7_lts tomcat8 * Up to
(excluding)
8.0.32-1ubuntu1.6
运行在以下环境
系统 ubuntu_16.04_lts tomcat8 * Up to
(excluding)
8.0.32-1ubuntu1.6
运行在以下环境
系统 ubuntu_18.04.5_lts devscripts * Up to
(excluding)
2.17.12ubuntu1.1
运行在以下环境
系统 ubuntu_18.10 tomcat8 * Up to
(excluding)
8.5.30-1ubuntu2
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
NVD-CWE-noinfo
阿里云安全产品覆盖情况